Summary: An application launcher for Gnome
Name:	 kupfer
Version: 208
Release: 7.1%{?dist}
License: GPLv3
Group:	 Graphical desktop/GNOME
URL:	 http://kaizer.se/wiki/kupfer/
Source0: https://github.com/downloads/engla/kupfer/%{name}-v%{version}.tar.xz
Source1: kupfer
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: pygtk2
BuildRequires: dbus-python
BuildRequires: gnome-python2
BuildRequires: pyxdg
BuildArch: noarch
Requires:  python >= 2.6
Requires:  python-keybinder
Requires:  pygtk2
Requires:  pyxdg
Requires:  dbus-python
Requires:  gnome-python2
Requires:  gnome-python2-libwnck
Obsoletes: %name-pandoras-box

%description
Kupfer (pandoras-box) is a summoner/launcher in the style of Quıcĸsılⅴεʀ; you do not 
use it to search your files, you use it to summon the object you are 
thinking about. Kupfer can right now summon Applications, Recent Files 
and Places, your chosen folders and their contents, Bookmarks, Windows 
and Gnu Screen sessions.

%description -l de
Kupfer ist ein Lader/Launcher im Stil der Quıcĸsılⅴeʀ; nicht zum verwenden,
um Dateien zu suchen, sondern Objekte zu laden. Kupfer kann jetzt Anwendungen,
neueste Dateien und Orte aufrufen, sowie von Ihnen gewählten Ordner und deren 
Inhalte, Lesezeichen, Windows und GNU screen-Sitzungen. 

%prep
%setup -q -n %{name}-v%{version}
sed -i 's/gtk/pygtk/' wscript

%build
./waf configure --prefix=PREFIX --no-runtime-deps --no-update-mime --no-update-icon-cache --nopyc
./waf install

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/usr
cp -af PREFIX/* $RPM_BUILD_ROOT/usr
install -Dm 755 %SOURCE1 $RPM_BUILD_ROOT%{_bindir}/%{name}
install -Dm 755 extras/kupfer_provider.py $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/python/kupfer_provider.py


%find_lang %{name}

%__install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
%__cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Kupfer
GenericName=Application Launcher
Comment=Command access tool for applications and documents
Icon=%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
Exec=%{name}
Type=Application
Categories=GNOME;Utility;
StartupNotify=true
EOF

#icon
install -Dm 644 auxdata/%{name}.svg \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%post                                                                                                                                                                                                                                        
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :                                                                                                                                                                                 
                                                                                                                                                                                                                                             
%postun                                                                                                                                                                                                                                      
if [ $1 -eq 0 ] ; then                                                                                                                                                                                                                       
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null                                                                                                                                                                                  
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :                                                                                                                                                                         
fi                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                             
%posttrans                                                                                                                                                                                                                                   
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :                                                                                                                                                                             
                                                                

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%doc README.rst GIT_VERSION COPYING NEWS
%defattr(-,root,root,-)
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/*
%{_datadir}/Thunar/sendto/kupfer.desktop
%{_libdir}/nautilus/extensions-2.0/python/kupfer_provider.py*


%changelog
* Wed Oct 10 2012 Nux <rpm@li.nux.ro> - 208-7.1
- rebuild for EL6

* Tue Aug 21 2012 Huaren Zhong <huaren.zhong@gmail.com> - 208
- Rebuild for Fedora

* Fri Nov 19 2010 Slavisa Milojkovic .root@linuxgator.org> v203-1slax2010
- updated to v203

* Sat Apr 03 2010 slick50 <lxgator@gmail.com> 1.1-2pclos2010
- rebuild

* Tue Feb 16 2010 slick50 <lxgator@gmail.com> 1.1-1pclos2010
- 1.1

* Sun Nov 22 2009 slick50 <lxgator@gmail.com> c18.1-1pclos2010
- c18.1

* Sun Oct 25 2009 slick50 <lxgator@gmail.com> c17-1pclos2010
- c17

* Wed Sep 16 2009 slick50 <lxgator@gmail.com> c15-1pclos2009
- c15

* Thu Sep 10 2009 slick50 <lxgator@gmail.com> c14.1-1pclos2009
- c14.1

* Sat Aug 29 2009 slick50 <lxgator@gmail.com> c11-1pclos2009
- c11

* Thu Aug 27 2009 slick50 <lxgator@gmail.com> c10-1pclos2009
- c10

* Thu Aug 15 2009 slick50 <lxgator@gmail.com> c9-1pclos2009
- c9

* Thu Aug 13 2009 slick50 <lxgator@gmail.com> c8-1pclos2009
- initial build
